Results 1 to 10 of 10

Thread: Installation 4.5.6 on Feisty ok - Zimbra 5 Beta3 wont work

  1. #1
    Join Date
    Jan 2007
    Location
    Germany
    Posts
    42
    Rep Power
    8

    Default Installation 4.5.6 on Feisty ok - Zimbra 5 Beta3 wont work

    Hi,

    i have successfully migrate my 4.5.6 zimbra Debian sarge installation to Ubuntu 7.04 Feisty Fawn whith the Ubuntu6 packet (4.5.6.)

    To do this, i have to change the lsb-release string to 6, which is mentioned in this post.

    Zimbra now runs fine on Ubuntu 7.4 - but, i want to update to Zimbra 5 Beta 3.
    install.sh coudnt find any installed zimbra release, also he coudnt find any prerequisites.

    Can anyone tell me, whats wrong?

    Operations logged to /tmp/install.log.5264
    Checking for existing installation...
    zimbra-ldap...NOT FOUND
    zimbra-logger...NOT FOUND
    zimbra-mta...NOT FOUND
    zimbra-snmp...NOT FOUND
    zimbra-store...NOT FOUND
    zimbra-apache...NOT FOUND
    zimbra-spell...NOT FOUND
    zimbra-proxy...NOT FOUND
    zimbra-core...NOT FOUND
    ./util/utilfunc.sh: line 429: rpm: command not found


    PLEASE READ THIS AGREEMENT CAREFULLY BEFORE USING THE SOFTWARE.
    ZIMBRA, INC. ("ZIMBRA") WILL ONLY LICENSE THIS SOFTWARE TO YOU IF YOU
    FIRST ACCEPT THE TERMS OF THIS AGREEMENT. BY DOWNLOADING OR INSTALLING
    THE SOFTWARE, OR USING THE PRODUCT, YOU ARE CONSENTING TO BE BOUND BY
    THIS AGREEMENT. IF YOU DO NOT AGREE TO ALL OF THE TERMS OF THIS
    AGREEMENT, THEN DO NOT DOWNLOAD, INSTALL OR USE THE PRODUCT.

    License Terms for the Zimbra Collaboration Suite:
    http://www.zimbra.com/license/collab...cense_1.0.html


    Press Return to continue

    Checking for prerequisites...
    NPTL...FOUND
    sudo...MISSING
    libidn...MISSING
    curl...MISSING
    fetchmail...MISSING
    gmp...MISSING
    /usr/lib/libstdc++.so.5...FOUND

    ###ERROR###

    One or more prerequisite packages are missing.
    Please install them before running this installer.

    Installation cancelled.

  2. #2
    Join Date
    Jul 2007
    Posts
    6
    Rep Power
    8

    Default Fixed! aaaaaand... _broken_ !!

    I'd prefer to run feisty fawn, too. but, after you read this thread:
    http://www.zimbra.com/forums/install...d-install.html

    let me tell you how to get past the point you're worried about now, and to the point described above.

    OK, clean unpack of the beta3 tarball, right? copy bin/get_plat_flag.sh to an innocuous name, and create a new one, with this convoluted series of commands:

    Code:
    echo UBUNTU6
    make sure it's executable (chmod a+x get_plat_flag.sh) and ... have fun.

  3. #3
    Join Date
    Jan 2007
    Location
    Germany
    Posts
    42
    Rep Power
    8

    Default

    Quote Originally Posted by kbearcat View Post
    make sure it's executable (chmod a+x get_plat_flag.sh) and ... have fun.
    phew....fascinating. Works peferkt. Thanx for the clue ;-)

  4. #4
    Join Date
    Jan 2007
    Location
    Germany
    Posts
    42
    Rep Power
    8

    Default

    Hmm...another error.

    Restoring existing configuration file from /opt/zimbra/.saveconfig/config.save...done
    chown: cannot access `/opt/zimbra/conf/nginx.key': No such file or directory
    chown: cannot access `/opt/zimbra/conf/nginx.crt': No such file or directory
    Operations logged to /tmp/zmsetup.log.10112
    Checking ldap status
    Starting ldap
    zimbra-core must be enabled

  5. #5
    dijichi2 is offline OpenSource Builder & Moderator
    Join Date
    Oct 2005
    Posts
    1,176
    Rep Power
    12

    Default

    Do my instructions not work for 4.5.6?

    http://www.zimbra.com/forums/install...html#post41526

    If not let me know and I'll post new ones.

  6. #6
    Join Date
    Jan 2007
    Location
    Germany
    Posts
    42
    Rep Power
    8

    Default

    Hi dijichi2

    your instructions worked fine on my 4.5.6 installation. Zimbra is up on Feisty and running. But i want to upgrade to Zimbra 5 Beta 3 - and this is the point, where the error came.

  7. #7
    dijichi2 is offline OpenSource Builder & Moderator
    Join Date
    Oct 2005
    Posts
    1,176
    Rep Power
    12

    Default

    Hmm. 5.0b3 works perfectly for me on 64-bit Ubuntu 7.10 gutsy tribe 5 or whatever latest beta is, using package:
    zcs-5.0.0_BETA3_1276.UBUNTU6.20070822-22320

    I used this hack:
    http://www.zimbra.com/forums/install...html#post54102

    Haven't tried Feisty on 32-bit. If I get some spare time, I might try and release a package that works on all versions of Debian and Ubuntu, 32 and 64bit. Clearly from the hacks I'm posting it's possible to run on all platforms with small hacks to the installer, surely a unified package makes sense.

  8. #8
    dijichi2 is offline OpenSource Builder & Moderator
    Join Date
    Oct 2005
    Posts
    1,176
    Rep Power
    12

    Default

    Workaround/Hack: Zimbra 5.0b3 on Ubuntu Feisty 7.04 32bit
    ---------------------------------------------------------------------------

    Problem is that Feisty also has a /etc/debian_version that reads '4.0' and the new 5.0b3 incorrectly reads this - allegedly Debian 4.0 support is new in zimbra 5.0b. Gutsy also has /etc/debian_version but as of Tribe5 it has version that is not picked up by the get_plat_tag.sh script.

    So:
    mv /etc/debian_version /etc/debian_version.zimbra
    perl -pi -e 's/DISTRIB_RELEASE=7/DISTRIB_RELEASE=6/' /etc/lsb-release

    Then run the installer as normal.
    Last edited by dijichi2; 09-08-2007 at 04:27 AM.

  9. #9
    Join Date
    Jan 2007
    Location
    Germany
    Posts
    42
    Rep Power
    8

    Default

    thx...works now perfectly for me.

    please notice, that the file is debian_version, not debian_release

  10. #10
    dijichi2 is offline OpenSource Builder & Moderator
    Join Date
    Oct 2005
    Posts
    1,176
    Rep Power
    12

    Default

    thanks, amended. doing too many things at one time!

Similar Threads

  1. QUE Failure
    By tbullock in forum Administrators
    Replies: 31
    Last Post: 07-30-2008, 12:17 PM
  2. [SOLVED] Spam Being Sent Thru Server - Help Needed!
    By msf004 in forum Administrators
    Replies: 22
    Last Post: 03-14-2008, 11:11 PM
  3. Zimbra shutdowns every n hours.
    By Andrewb in forum Administrators
    Replies: 13
    Last Post: 08-14-2007, 08:55 AM
  4. dspam logrotate errors
    By michaeln in forum Users
    Replies: 7
    Last Post: 02-19-2007, 11:45 AM
  5. FC3 Install and no zimbra ?
    By aws in forum Installation
    Replies: 10
    Last Post: 10-09-2005, 04:19 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •